Confusing for users with many websites

Bug #1608306 reported by Einar Mostad
52
This bug affects 7 people
Affects Status Importance Assigned to Milestone
Lubuntu Artwork
In Progress
Critical
Lubuntu
Lubuntu Website
In Progress
Critical
Lubuntu

Bug Description

Hi! I have used Lubuntu for many years and thought the lubuntu.net webstte was the official site for lubuntu. I have subscribed to the RSS feed to get news, but lately, there have been very few. Recently, I discovered the lubuntu.me website. It seems more active and the blog is up to date on news. There is no indication on either that they are not official, but on the bottom of both, there seems to be information pointing towards both being owned by individuals, not by the Lubuntu project. This makes it hard to know which is the official site, if any. Would it not be less confusing for users to have one website and make the other address redirect to it?

Simon Quigley (tsimonq2)
Changed in lubuntu-artwork:
assignee: nobody → Lubuntu-QA (lubuntu-qa)
status: New → In Progress
Revision history for this message
Jam Holtman (oulik-jan) wrote : Re: [lubuntu-devel] [Bug 1608306] Re: Confusing for users with many websites

When you Google Lubuntu (what probably the most users do) then the
http://lubuntu.net site comes on top and the http://lubuntu.me site comes
in 5th place.
What I find strange is that the Lubuntu.net site offers the 16.04 release
and the Lubuntu.me site offers the 16.04.1 release.
Why is the Lubuntu.net site lagging behind, because most users will
probably download the old release.

Met vriendelijke groet / Best regards,

Jan Holtman

<email address hidden> <1%<email address hidden>>

<2%<email address hidden>>

On Mon, Aug 1, 2016 at 5:56 AM, Simon Quigley <email address hidden> wrote:

> ** Changed in: lubuntu-artwork
> Assignee: (unassigned) => Lubuntu-QA (lubuntu-qa)
>
> ** Changed in: lubuntu-artwork
> Status: New => In Progress
>
> --
> You received this bug notification because you are a member of Lubuntu-
> QA, which is a bug assignee.
> https://bugs.launchpad.net/bugs/1608306
>
> Title:
> Confusing for users with many websites
>
> Status in Lubuntu Artwork:
> In Progress
>
> Bug description:
> Hi! I have used Lubuntu for many years and thought the lubuntu.net
> webstte was the official site for lubuntu. I have subscribed to the
> RSS feed to get news, but lately, there have been very few. Recently,
> I discovered the lubuntu.me website. It seems more active and the blog
> is up to date on news. There is no indication on either that they are
> not official, but on the bottom of both, there seems to be information
> pointing towards both being owned by individuals, not by the Lubuntu
> project. This makes it hard to know which is the official site, if
> any. Would it not be less confusing for users to have one website and
> make the other address redirect to it?
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/lubuntu-artwork/+bug/1608306/+subscriptions
>
> --
> Lubuntu-devel mailing list
> <email address hidden>
> Modify settings or unsubscribe at:
> https://lists.ubuntu.com/mailman/listinfo/lubuntu-devel
>

Revision history for this message
Simon Quigley (tsimonq2) wrote :

Lubuntu.me is our official site, and we are working right now to talk to the owner of lubuntu.net in hopes of getting something done. I'll keep you posted.

Revision history for this message
Walter Lapchynski (wxl) wrote :

We have changed the footer so that it reads: "Lubuntu.me is a registered trademark. Content is licensed by Creative Commons License. Ubuntu is a registered trademark of Canonical Ltd," thus removing any specific names like the unofficial lubuntu.net website has. FWIW, Red Wolf (Rafael Laguna) is our Artwork Team Leader and the creator of that beautiful lubuntu.me website, so it did make sense, but I agree this is not obvious to the average person.

We have also changed the title of lubuntu.me so that it reads "Lubuntu | The official home of Lubuntu." These two things should at least make the site appear more official. We've made an effort to change any links to lubuntu.me wherever we find them, including Wikipedia. This has resulted in us being not only number one on DuckDuckGo, but also being marked as the official site. I would encourage you to change any links you find to lubuntu.net to lubuntu.me anywhere you find them and this will only help.

Regarding SEO, I've requested that Canonical IS add the All In One Seo Pack plugin (or something similar) to our WordPress site (they graciously host it for us) so that we can increase our rankings. Considering we're mobile friendly and lubuntu.net is not, I'm sure with a little extra push we can get to the top.

As soon as lubuntu.me expires, the name will be transferred to Canonical's ownership which will only further make it clear as the official site.

Meanwhile, as Simon said, we're talking to the owner of lubuntu.net (who originally created Lubuntu with Julien Lavergne, our Head of Development, but no longer contributes to the project— last karma earned in 2012) to at least redirect or link to lubuntu.me as the official site. I would encourage you to contact him yourself and offer your own suggestions:
https://launchpad.net/~mariobehling

Simon Quigley (tsimonq2)
Changed in lubuntu-artwork:
assignee: Lubuntu-QA (lubuntu-qa) → Lubuntu (lubuntu-desktop)
Revision history for this message
Phill Whiteside (phillw) wrote :

Had lubuntu followed the list [1] then lubuntu.net would be pointing to the
updated area and to the correct release version and there would have been
no confusion. It was written for a reason - The main one? To stop this sort
of bug from happening.
1.
https://wiki.ubuntu.com/Lubuntu/Developers/PrePostReleaseTODO#Notes_for_Point_Release

On 1 August 2016 at 21:20, Simon Quigley <email address hidden> wrote:

> ** Changed in: lubuntu-artwork
> Assignee: Lubuntu-QA (lubuntu-qa) => Lubuntu (lubuntu-desktop)
>
> --
> You received this bug notification because you are a member of Lubuntu-
> QA, which is a bug assignee.
> https://bugs.launchpad.net/bugs/1608306
>
> Title:
> Confusing for users with many websites
>
> Status in Lubuntu Artwork:
> In Progress
>
> Bug description:
> Hi! I have used Lubuntu for many years and thought the lubuntu.net
> webstte was the official site for lubuntu. I have subscribed to the
> RSS feed to get news, but lately, there have been very few. Recently,
> I discovered the lubuntu.me website. It seems more active and the blog
> is up to date on news. There is no indication on either that they are
> not official, but on the bottom of both, there seems to be information
> pointing towards both being owned by individuals, not by the Lubuntu
> project. This makes it hard to know which is the official site, if
> any. Would it not be less confusing for users to have one website and
> make the other address redirect to it?
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/lubuntu-artwork/+bug/1608306/+subscriptions
>
> --
> Lubuntu-devel mailing list
> <email address hidden>
> Modify settings or unsubscribe at:
> https://lists.ubuntu.com/mailman/listinfo/lubuntu-devel
>

Revision history for this message
Walter Lapchynski (wxl) wrote :

@phillw If you look carefully, there's no reference to lubuntu.net on that page. Also, as I know that you know, we've had a lot of problems getting anything updated on lubuntu.net. Among other reasons, Mario is always away. No one else has access to the page. The problem has been ongoing for a long time and we've just put up with it. The fact that a rash of users are complaining about this just illustrates just how much of a problem it is and how we can no longer accept it the way it is.

Revision history for this message
sudodus (nio-wiklund) wrote :

Den 2016-08-01 kl. 22:34, skrev Phill Whiteside:
> Had lubuntu followed the list [1] then lubuntu.net would be pointing to the
> updated area and to the correct release version and there would have been
> no confusion. It was written for a reason - The main one? To stop this sort
> of bug from happening.
> 1.
> https://wiki.ubuntu.com/Lubuntu/Developers/PrePostReleaseTODO#Notes_for_Point_Release
>

Hi Phill,

Yes, I see what you mean. They do it their way :-/

But there is also the general problem of people getting confused by
lubuntu.net, because Mario is sometimes (often(?)) lagging behind, when
there is a new release. I am thinking of not only the links from it, but
the information in lubuntu.net itself.

And several search engines still put it at the top of the list.

Best regards
Nio

Revision history for this message
Phill Whiteside (phillw) wrote :

@wxl The entry on lubuntu.net points to getlubuntu. I had to a lot of nagging, but now the getlubuntu wiki page is updated, anyone landing on lubuntu.net will get the correct version. This is why the importance is that getlubuntu MUST be up to date. All areas should always point to the GetLubuntu area which holds links to cdimage server, mirrors and torrent.
Please ensure you follow the steps on the PRE-POST list, they took several years to perfect and would have stopped this issue before it even got to be a bug report. Julien will not venture to ask Mario to relinquish lubuntu.net.

Revision history for this message
Walter Lapchynski (wxl) wrote :

@phillw While that was a good improvement, it doesn't keep him from including direct links, which, again, are often behind. Users cannot be expected to click on a link to get to a page of links when the links are right there. This is the issue.

As a team, we are working on finding a better resolution to this issue. Waiting on Mario doesn't work.

Also, if you read the bug description, you'll see the issue is not actually the links themselves, but the fact that having multiple websites with differing information and no clarity about which one is the real one is the issue. That's something GetLubuntu is not going to fix.

Revision history for this message
Phill Whiteside (phillw) wrote :

@wxl
you are wrong. The site GetLubuntu is the gold standard. Having it not fully up to date is a betrayal of everything that wiki / docs team have striven for. I've had rows with OMGUbuntu over them announcing releases before they are there etc. Latterly, they were happy to take any hints of us. But, that is all in the past. The system is clearly lain out so people can follow it. So, to stop carry on. Follow the rules. Ensure getlubuntu is up to date. Mario will not give up lubuntu.net

Revision history for this message
Walter Lapchynski (wxl) wrote :

@phillw You seem to be confused. If you look at the comments above, you'll find that the issue is not about finding the latest releases. That's the problem that GetLubuntu seeks to solve and it mostly does that (except for the fact that lubuntu.net includes direct links to images, which some users will just click on without actually clicking on the links to GetLubuntu).

The problem that this bug describes is that users cannot easily find (from Google, for example), which website is the official website for *any* sort of information, images or otherwise. Since it's not specific to images, GetLubuntu doesn't solve that. I don't say this to suggest that GetLubuntu is broken or serves no purpose or isn't worthwhile. It's just irrelevant to this bug. That said, please don't hijack the conversation.

As for Mario, he's using what even lubuntu.net itself describes as a Canonical trademark. We are currently in conversations with him to redirect or link to lubuntu.me from lubuntu.net. However, if he's unwilling or unresponsive, the next step to ensure that our users are happy is to talk to Canonical legal and let them have at it. One way or another, something will happen.

Revision history for this message
Phill Whiteside (phillw) wrote :

@wxl The GetLubuntu page was out of date upon point release. Is this the best excuse you can up with? But, good luck in getting a founding father of lubuntu to release the name, He has the documents from the Canonical trade mark team. But, as when we had a young group of volunteers (pre adoption) he blocked a voted upon upgrade. Much like you have with http://doodle.com/poll/ga6h8kde3sy85qgc
Why let democracy get in the way of people wanting to vote. That instance, before you were part of lubuntu, was a small keen team to arrange to update the area. He veto'd it. So, good luck going forward.

Revision history for this message
Walter Lapchynski (wxl) wrote :

@phillw First, I'm not coming up with excuses at all. Also, I was always taught if there's a will there's a way, so I'll just keep on trying, but I appreciate the history. I just don't think it's a good idea to just put up with things the way they are simply because that's the way they have been. Thanks for your well wishes!

Revision history for this message
Michael Hall (mhall119) wrote :

Bug comments are not for arguments, if you are not adding information needed to fix this bug, please refrain from commenting.

Revision history for this message
Walter Lapchynski (wxl) wrote :

In a continued effort to give legitimacy to lubuntu.me or at least remove it from lubuntu.net, Mario has been removed as owner/administrator of ~lubuntu-desktop.

Revision history for this message
Einar Mostad (einarmostad) wrote :

Thank you all for your answers! Great that you have gotten lubuntu.me as official on duckduckgo. (It's where I do my searches.) Also great that the official site is the most up to date and with a nice, modern look! And now looking even more official, with some added info in the footer. All these things make it much less confusing for users like me! :-)

Seems like you just need to convince Mario to make it clear on his site that lubuntu.me is the official one and that his site is not. I will change all links I find from lubuntu.net to lubuntu.me.

Revision history for this message
Redwolf (viking.redwolf) wrote :

Thank you, Einar. I contacted with the DuckDuckGo guys, and they were very kind. They also made a custom search command (#lubuntu) for us!

Regarding the new site, I must say it all began as a simple blog coming along the main website. One of its functions was informing about the updates, install parties and artwork. The "problem" is that it started to grow up, and I kept the release information more up to date than the "official" site itself. That's how it began a whole site about Lubuntu, with news, blog, and more sections. And we're planning to expand it even more.

Nowadays, when Lubuntu sees a new release, we update lubuntu.me the very moment it happens. lubuntu.net delays it, even weeks after the release date. That's why I can't consider it very official, as its owner isn't carrying out the community functions he signed for. The day I can't comply with my duties, I'll resign and more admins will take care of it. This is how it works.

Revision history for this message
mb (mb888) wrote :

The discussion on this issue is out of scope and full of erroneous information. For this reason, I will have to answer against my usual behaviour of making a long thread even longer.

* @Rafael: Thank you for the update on your website. Though, I do not understand why you do not update the links on lubuntu.net. You and Julien have access for years and you have posted things in the past. I neither get why you talk of me as "he" in the third person here. I did not receive an email or chat message from you about problems with access. We had even emailed about the possibility of getting the design you made for Wordpress ported to Drupal on lubuntu.net.

* Regarding a discussions about what is official. lubuntu was never an official project of the company. It was at one point officially supported by Canonical and they contribute resources. But claims about being "official" apart from that - I will not get what is the goal. We set up this project with the wiki at the core and that is where lubuntu.net points everyone. If you want to change that, with another site you can do what you want, but I always preferred decentralised resources, that different people can edit easily.

* About off-list emails and transfer of team ownership: I was not even aware it is possible to change ownership on Launchpad teams without a transition process and without informing the team owner. There is a real problem with this system if that is possible. There seem to be people in control who do not follow transparent processes and disrespect others in a way, that would result in sanctions or even expelling in any other project. Apparently the same people are sending me insulting emails in offensive language. It is sad to see, what is happening and I will consider what to do about this, but just because I was quiet so far does not mean this is right.

Revision history for this message
Walter Lapchynski (wxl) wrote :

@Mario, as Michael Hall, a member of the Ubuntu Community Council said, bug comments are not the place for arguments. Let's keep the discussion on topic.

The problem is that users are confused about the two websites.

lubuntu.me came into existence due to a lack of control at lubuntu.net, which was constantly out of date. Even though it links to many resources on the wiki, it provides download links separate from that. Without being able to keep those up to date, that is, among other things, problematic. Though lubuntu.me solves this problem, the existence of both websites creates a new one: a clash of information and a confusion for users.

The solution is very simple. What we need is one website, and one which is ultimately decentralized. With lubuntu.me being hosted by Canonical (in process) and being registered by Canonical (also coming soon), it not only appears official, but then it is within the control of the Ubuntu Community since the resources Canonical provides (IS Team, Community Council) serve that community.

Right now, lubuntu.net is neither official nor within community control. However, Lubuntu is certainly an official flavor of Ubuntu[1][2][3][4] and subsequently "owned" by the Ubuntu Community, rather than being the project of any one particular person. This is why the IS Team and the Community Council were contacted and provided the change to the ownership of the Lubuntu Team. After all, this is more decentralized.

[1]: http://www.ubuntu.com/download/ubuntu-flavours
[2]: https://wiki.ubuntu.com/UbuntuFlavors
[3]: http://blog.lxde.org/?p=208
[4]: https://lists.ubuntu.com/archives/technical-board/2011-April/000835.html (read the whole thread)

Revision history for this message
Lyn Perrine (walterorlin) wrote : Re: [lubuntu-users] [Bug 1608306] Re: Confusing for users with many websites

On Fri, 05 Aug 2016 06:03:04 -0000
Mario Behling <email address hidden> wrote:

> not receive an email or chat message from you about problems with
I honestly don't care what is offical that much I think what is maintained and updated is more important.

--
Brendan Perrine <email address hidden>

Revision history for this message
Walter Lapchynski (wxl) wrote :

lubuntu.me is now officially under Canonical's ownership, so at least from the perspective of a whois, the site is official.

Next will be moving the WordPress install to Canonical's hosting, so a ping will point to Canonical as well.

Revision history for this message
Einar Mostad (einarmostad) wrote :

That seems like a bug soon to be resolved! Thank you for time and effort! :-)

Revision history for this message
Phill Whiteside (phillw) wrote : Re: [lubuntu-devel] [Bug 1608306] Re: Confusing for users with many websites

Ah,

to watch lubuntu implode.... Well done Walter. Once Julien gets tired, you
better have some people ready.

lubuntu.me was always under Canonical ownership and after Rafael screwed it
up totally and I had to grab an older backup from a different machine. Else
you'd have to rebuild it from scratch.

Walter, and council, you really have NO idea of what goes on to keep things
working.... Heck, you could not even follow the pre-post release system for
16.10 - make sure jobs are done else you make the flavour look very
un-professional.

:: SIGH ::

On 17 October 2016 at 19:21, Walter Lapchynski <email address hidden> wrote:

> lubuntu.me is now officially under Canonical's ownership, so at least
> from the perspective of a whois, the site is official.
>
> Next will be moving the WordPress install to Canonical's hosting, so a
> ping will point to Canonical as well.
>
> --
> You received this bug notification because you are a member of Lubuntu-
> QA, which is subscribed to the bug report.
> https://bugs.launchpad.net/bugs/1608306
>
> Title:
> Confusing for users with many websites
>
> Status in Lubuntu Artwork:
> In Progress
>
> Bug description:
> Hi! I have used Lubuntu for many years and thought the lubuntu.net
> webstte was the official site for lubuntu. I have subscribed to the
> RSS feed to get news, but lately, there have been very few. Recently,
> I discovered the lubuntu.me website. It seems more active and the blog
> is up to date on news. There is no indication on either that they are
> not official, but on the bottom of both, there seems to be information
> pointing towards both being owned by individuals, not by the Lubuntu
> project. This makes it hard to know which is the official site, if
> any. Would it not be less confusing for users to have one website and
> make the other address redirect to it?
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/lubuntu-artwork/+bug/1608306/+subscriptions
>
> --
> Lubuntu-devel mailing list
> <email address hidden>
> Modify settings or unsubscribe at: https://lists.ubuntu.com/
> mailman/listinfo/lubuntu-devel
>

Revision history for this message
Scarlett Gately Moore (sgclark) wrote :

Phill you have been asked to step aside from all activity involving the Lubuntu project. That includes bug reports etc. You agreed to do this with the UCC, so I remind you, please stop writing disruptive posts like these as it is not constructive in anyway.

Scarlett on behalf of the UCC.

Simon Quigley (tsimonq2)
Changed in lubuntu-artwork:
importance: Undecided → Critical
Changed in lubuntu-website:
importance: Undecided → Critical
assignee: nobody → Lubuntu (lubuntu-desktop)
status: New → In Progress
Simon Quigley (tsimonq2)
Changed in ubiquity-slideshow-ubuntu (Ubuntu):
importance: Undecided → Critical
assignee: nobody → Simon Quigley (tsimonq2)
assignee: Simon Quigley (tsimonq2) → nobody
status: New → Fix Released
Changed in ubiquity-slideshow-ubuntu (Ubuntu Xenial):
status: New → In Progress
importance: Undecided → Critical
assignee: nobody → Simon Quigley (tsimonq2)
Revision history for this message
Simon Quigley (tsimonq2) wrote :

The slideshow is tracked in bug 1645564.

no longer affects: ubiquity-slideshow-ubuntu (Ubuntu)
no longer affects: ubiquity-slideshow-ubuntu (Ubuntu Xenial)
Revision history for this message
Marco Bottacin (westdam) wrote :

So, which one is the official site?
lubuntu.net or lubuntu.me ?

Revision history for this message
Simon Quigley (tsimonq2) wrote :

Lubuntu.me is the only official and accurate one.

Revision history for this message
Paddy Landau (paddy-landau) wrote :

Has there been any advancement in following this up?

The .net site still appears at the top of the search results, and remains wildly out of date.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers